%global commitdate 20230827
%global commit c96b57d99325c013978c706def088275b0b1a340
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:       ch341a_spi_programmer
Version:    %{commitdate}.%{shortcommit}
Release:    1%{?dist}
Summary:    QT5 programmer software for the readind/writing SPI NOR FLASH use the CH341a device.
License:    GPL-3
URL:        https://github.com/bigbigmdm/CH341a_spi_programmer
Source:     https://github.com/bigbigmdm/CH341a_spi_programmer/archive/%{commit}/ch341a_spi_programmer-%{version}.tar.gz

BuildRequires: make
BuildRequires: cmake
BuildRequires: pkgconfig(Qt5)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: libusb-compat-0.1-devel

%description
QT5 Linux programmer software for the readind/writing SPI NOR FLASH use the CH341a device.
The Prog24 is a free I2C EEPROM programmer tool for CH341A device based on QhexEdit2 and modify ch341 SPI c-programmer tools.

%prep
%autosetup -n CH341a_spi_programmer-%{commit}

%build
%cmake -DCMAKE_BUILD_TYPE='Release'

%cmake_build

%install
%cmake_install

%files
/opt/CH341SPI/CH341SPI
/opt/CH341SPI/CH341a.Dat
/opt/CH341SPI/CH341SPI.desktop
/opt/CH341SPI/write64.png
%{_sysconfdir}/udev/rules.d/99-CH341.rules
%{_datarootdir}/applications/CH341SPI.desktop

%changelog
* Fri Sep 15 2023 Yury Martynov <email@linxon.ru> 20230827.c96b57d-1
- Initial packaging.
